<!--
 - Created by MarosGrajcar on 2/12/2020.
 -->

<!-- Eqt Add Missing Section -->
<template>

    <!-- MISSING DATA -->
    <div class="slds-text-title_caps slds-section slds-p-around--small"
         style="background-color:#f5f5f5"><b>Missing Data</b>
    </div>

    <template if:false={addForm}>
        <!--NEW FORM-->
        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-wrap slds-grid slds-p-around--small slds-show_medium">
            <div class="slds-size--6-of-12 slds-p-horizontal--small">

                <lightning-input type="text"
                                 label="Description"
                                 maxlength="80"
                                 value={description}
                                 onchange={handleDescriptionChange}
                                 required>
                </lightning-input>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Manufacturer"
                                     maxlength="40"
                                     value={manufacturer}
                                     onchange={handleManufacturerChange}
                                     required>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Manufacturer Serial No"
                                     maxlength="40"
                                     value={manufacturerSerialNo}
                                     onchange={handleManufacturerSerialNoChange}
                                     required>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Safety Critical Equipment"
                                     checked={safetyCriticalEq}
                                     onchange={handleSafetyCritical}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Part Of Package"
                                     checked={partOfPackage}
                                     onchange={handlePartOfPackage}>
                    </lightning-input>
                </div>

            </div>

            <div class="slds-size--6-of-12 slds-p-horizontal--small">
                <lightning-input type="text"
                                 label="Model Number"
                                 maxlength="40"
                                 value={modelNumber}
                                 onchange={handleModelNumberChange}
                                 required>
                </lightning-input>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Tag Number"
                                     maxlength="40"
                                     value={tagNumber}
                                     onchange={handleTagNumberChange}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="P&ID"
                                     maxlength="80"
                                     value={pId}
                                     onchange={handlePIdChange}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Regulatory Equipment"
                                     checked={regulatoryEq}
                                     onchange={handleRegulatory}>
                    </lightning-input>
                </div>

            </div>

        </div>

        <!--SMALL DEVICES-->
        <div class="slds-hide_medium">

            <lightning-input type="text"
                             label="Description"
                             maxlength="80"
                             value={description}
                             onchange={handleDescriptionChange}
                             required>
            </lightning-input>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="Manufacturer"
                                 maxlength="40"
                                 value={manufacturer}
                                 onchange={handleManufacturerChange}
                                 required>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="Manufacturer Serial No"
                                 maxlength="40"
                                 onchange={handleManufacturerSerialNoChange}
                                 value={manufacturerSerialNo}
                                 required>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="Model Number"
                                 maxlength="40"
                                 value={modelNumber}
                                 onchange={handleModelNumberChange}
                                 required>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="Tag Number"
                                 maxlength="40"
                                 value={tagNumber}
                                 onchange={handleTagNumberChange}>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="text"
                                 label="P&ID"
                                 maxlength="80"
                                 value={pId}
                                 onchange={handlePIdChange}>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="checkbox"
                                 label="Safety Critical Equipment"
                                 checked={safetyCriticalEq}
                                 onchange={handleSafetyCritical}>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="checkbox"
                                 label="Part Of Package"
                                 checked={partOfPackage}
                                 onchange={handlePartOfPackage}>
                </lightning-input>
            </div>

            <div class="slds-p-top--small">
                <lightning-input type="checkbox"
                                 label="Regulatory Equipment"
                                 checked={regulatoryEq}
                                 onchange={handleRegulatory}>
                </lightning-input>
            </div>

        </div>
    </template>

    <template if:true={addForm}>

        <!--VIEW FORM-->
        <template if:true={isView}>
            <!--MEDIUM AND LARGE DEVICES-->
            <div class="slds-wrap slds-grid slds-p-around--small slds-hyphenate slds-show_medium">
                <div class="slds-size--6-of-12 slds-p-horizontal--small">
                    <b>Description</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        {addForm.Description__c}&nbsp;</p>

                    <div class="slds-p-top--small">
                        <b>Manufacturer</b>
                        <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                            {addForm.Manufacturer__c}&nbsp;</p>
                    </div>

                    <div class="slds-p-top--small">
                        <b>Manufacturer Serial No</b>
                        <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                            {addForm.Manufacturer_Serial_No__c}&nbsp;</p>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Safety Critical Equipment"
                                         checked={addForm.Safety_Critical_Equipment__c}
                                         disabled>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Part of Package"
                                         checked={addForm.Part_of_Package__c}
                                         disabled>
                        </lightning-input>
                    </div>

                </div>

                <div class="slds-size--6-of-12 slds-p-horizontal--small">
                    <b>Model Number</b>
                    <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                        {addForm.Model_Number__c}&nbsp;</p>

                    <div class="slds-p-top--small">
                        <b>Tag Number</b>
                        <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                            {addForm.Tag_Number__c}&nbsp;</p>
                    </div>

                    <div class="slds-p-top--small">
                        <b>P&ID</b>
                        <p class="slds-p-top--xx-small slds-border--bottom slds-p-bottom--x-small">
                            {addForm.P_ID__c}&nbsp;</p>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Regulatory Equipment"
                                         checked={addForm.Regulatory_Equipment__c}
                                         disabled>
                        </lightning-input>
                    </div>

                </div>
            </div>

            <!--SMALL DEVICES-->
            <div class="slds-hide_medium slds-hyphenate slds-p-around--small">
                <div class="slds-border--bottom slds-p-bottom--x-small">
                    <b>Description</b>
                    <p>{addForm.Description__c}&nbsp;</p>
                </div>

                <div class="slds-p-top--x-small slds-border--bottom slds-p-bottom--x-small">
                    <b>Manufacturer</b>
                    <p>{addForm.Manufacturer__c}&nbsp;</p>
                </div>

                <div class="slds-p-top--x-small slds-border--bottom slds-p-bottom--x-small">
                    <b>Manufacturer Serial No</b>
                    <p>{addForm.Manufacturer_Serial_No__c}&nbsp;</p>
                </div>

                <div class="slds-p-top--x-small slds-border--bottom slds-p-bottom--x-small">
                    <b>Model Number</b>
                    <p>{addForm.Model_Number__c}&nbsp;</p>
                </div>

                <div class="slds-p-top--x-small slds-border--bottom slds-p-bottom--x-small">
                    <b>Tag Number</b>
                    <p>{addForm.Tag_Number__c}&nbsp;</p>
                </div>

                <div class="slds-p-top--x-small slds-border--bottom slds-p-bottom--x-small">
                    <b>P&ID</b>
                    <p> {addForm.P_ID__c}&nbsp;</p>
                </div>

                <div class="slds-p-top--x-small">
                    <lightning-input type="checkbox"
                                     label="Safety Critical Equipment"
                                     checked={addForm.Safety_Critical_Equipment__c}
                                     disabled>
                    </lightning-input>
                </div>

                <div class="slds-p-top--x-small">
                    <lightning-input type="checkbox"
                                     label="Part of Package"
                                     checked={addForm.Part_of_Package__c}
                                     disabled>
                    </lightning-input>
                </div>

                <div class="slds-p-top--x-small">
                    <lightning-input type="checkbox"
                                     label="Regulatory Equipment"
                                     checked={addForm.Regulatory_Equipment__c}
                                     disabled>
                    </lightning-input>
                </div>

            </div>
        </template>
        <!--EDIT FORM-->

        <template if:false={isView}>
            <!--MEDIUM AND LARGE DEVICES-->
            <div class="slds-wrap slds-grid slds-p-around--small slds-show_medium">
                <div class="slds-size--6-of-12 slds-p-horizontal--small">

                    <lightning-input type="text"
                                     label="Description"
                                     maxlength="80"
                                     value={addForm.Description__c}
                                     onchange={handleDescriptionChange}
                                     required>
                    </lightning-input>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Manufacturer"
                                         maxlength="40"
                                         value={addForm.Manufacturer__c}
                                         onchange={handleManufacturerChange}
                                         required>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Manufacturer Serial No"
                                         maxlength="40"
                                         value={addForm.Manufacturer_Serial_No__c}
                                         onchange={handleManufacturerSerialNoChange}
                                         required>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Safety Critical Equipment"
                                         checked={addForm.Safety_Critical_Equipment__c}
                                         onchange={handleSafetyCritical}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Part Of Package"
                                         checked={addForm.Part_of_Package__c}
                                         onchange={handlePartOfPackage}>
                        </lightning-input>
                    </div>

                </div>

                <div class="slds-size--6-of-12 slds-p-horizontal--small">
                    <lightning-input type="text"
                                     label="Model Number"
                                     maxlength="40"
                                     value={addForm.Model_Number__c}
                                     onchange={handleModelNumberChange}
                                     required>
                    </lightning-input>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="Tag Number"
                                         maxlength="40"
                                         value={addForm.Tag_Number__c}
                                         onchange={handleTagNumberChange}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="text"
                                         label="P&ID"
                                         maxlength="80"
                                         value={addForm.P_ID__c}
                                         onchange={handlePIdChange}>
                        </lightning-input>
                    </div>

                    <div class="slds-p-top--small">
                        <lightning-input type="checkbox"
                                         label="Regulatory Equipment"
                                         checked={addForm.Regulatory_Equipment__c}
                                         onchange={handleRegulatory}>
                        </lightning-input>
                    </div>

                </div>

            </div>

            <!--SMALL DEVICES-->
            <div class="slds-hide_medium">

                <lightning-input type="text"
                                 label="Description"
                                 maxlength="80"
                                 value={addForm.Description__c}
                                 onchange={handleDescriptionChange}
                                 required>
                </lightning-input>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Manufacturer"
                                     maxlength="40"
                                     value={addForm.Manufacturer__c}
                                     onchange={handleManufacturerChange}
                                     required>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Manufacturer Serial No"
                                     maxlength="40"
                                     value={addForm.Manufacturer_Serial_No__c}
                                     onchange={handleManufacturerSerialNoChange}
                                     required>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Model Number"
                                     maxlength="40"
                                     value={addForm.Model_Number__c}
                                     onchange={handleModelNumberChange}
                                     required>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="Tag Number"
                                     maxlength="40"
                                     value={addForm.Tag_Number__c}
                                     onchange={handleTagNumberChange}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="text"
                                     label="P&ID"
                                     maxlength="80"
                                     value={addForm.P_ID__c}
                                     onchange={handlePIdChange}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Safety Critical Equipment"
                                     checked={addForm.Safety_Critical_Equipment__c}
                                     onchange={handleSafetyCritical}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Part Of Package"
                                     checked={addForm.Part_of_Package__c}
                                     onchange={handlePartOfPackage}>
                    </lightning-input>
                </div>

                <div class="slds-p-top--small">
                    <lightning-input type="checkbox"
                                     label="Regulatory Equipment"
                                     checked={addForm.Regulatory_Equipment__c}
                                     onchange={handleRegulatory}>
                    </lightning-input>
                </div>

            </div>
        </template>

    </template>

</template>